package logic

import (
	"context"
	"jyBXCore/rpc/service"
	"jyBXCore/rpc/util"

	"jyBXCore/rpc/internal/svc"
	"jyBXCore/rpc/type/bxcore"

	"github.com/zeromicro/go-zero/core/logx"
)

type ParticipateSetUpInfoLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewParticipateSetUpInfoLogic(ctx context.Context, svcCtx *svc.ServiceContext) *ParticipateSetUpInfoLogic {
	return &ParticipateSetUpInfoLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// 参标设置信息
func (l *ParticipateSetUpInfoLogic) ParticipateSetUpInfo(in *bxcore.ParticipateSetUpInfoReq) (*bxcore.ParticipateSetUpInfoRes, error) {
	if msg := util.IsAllowedAccess("setup"); msg != "" {
		return &bxcore.ParticipateSetUpInfoRes{
			ErrCode: -1,
			ErrMsg:  msg,
			Data:    nil,
		}, nil
	}
	return service.GetParticipateSetInfo(in)
}
